# Class SingleRowSubset

java.lang.Object
uk.ac.starlink.topcat.RowSubset
uk.ac.starlink.topcat.SingleRowSubset

public class SingleRowSubset extends RowSubset
RowSubset implementation that includes a maximum of one row index. The `getMaskId()` return value depends on the state, not the identity.

Since:
  26 Aug 2022
Author:
  Mark Taylor

## Nested Class Summary

### Nested classes/interfaces inherited from class RowSubset

`RowSubset.Key`

## Field Summary

### Fields inherited from class RowSubset

`ALL, NONE`

## Constructor Summary

Constructors
Constructor
Description
`SingleRowSubset(String name)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`String`
`getMaskId()`
Returns a value dependent on the selected row.
`long`
`getRowIndex()`
Returns the included row index.
`boolean`
`isIncluded(long lrow)`
Indicates whether a given row is in the subset or not.
`void`
`setRowIndex(long lrow)`
Sets the included row index.

### Methods inherited from class RowSubset

`getKey, getName, setKey, setName, toString`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### SingleRowSubset

public SingleRowSubset(String name)
Constructor.

Parameters:
  `name` - subset name

## Method Details

### setRowIndex

public void setRowIndex(long lrow)
Sets the included row index.

Parameters:
  `lrow` - index of single included row, or -1 for no rows

### getRowIndex

public long getRowIndex()
Returns the included row index.

Returns:
  index of single included row, or -1 for no rows

### isIncluded

public boolean isIncluded(long lrow)
Description copied from class: `RowSubset`
Indicates whether a given row is in the subset or not.

Specified by:
  `isIncluded` in class `RowSubset`
Parameters:
  `lrow` - the index of the row in question
Returns:
  `true` iff row `lrow` is to be included

### getMaskId

public String getMaskId()
Returns a value dependent on the selected row.

Overrides:
  `getMaskId` in class `RowSubset`
Returns:
  mask content identifier